Index: branches/PersistenceOverhaul/HeuristicLab.Operators/3.3/AlgorithmOperator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Operators/3.3/AlgorithmOperator.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Operators/3.3/AlgorithmOperator.cs	(revision 14711)
@@ -30,5 +30,5 @@
   /// </summary>
   [Item("AlgorithmOperator", "An operator which represents an algorithm represented as an operator graph.")]
-  [StorableClass("0DA47AE3-B92E-4191-A609-809C2C0BC3FD")]
+  [StorableType("0DA47AE3-B92E-4191-A609-809C2C0BC3FD")]
   public abstract class AlgorithmOperator : SingleSuccessorOperator, IOperatorGraphOperator {
     public static new Image StaticItemImage {
Index: branches/PersistenceOverhaul/HeuristicLab.Operators/3.3/Assigner.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Operators/3.3/Assigner.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Operators/3.3/Assigner.cs	(revision 14711)
@@ -30,5 +30,5 @@
   /// </summary>
   [Item("Assigner", "An operator which clones and assigns the value of one parameter to another parameter.")]
-  [StorableClass("8D56E1A4-6A15-483B-87A6-86CFF35A88FA")]
+  [StorableType("8D56E1A4-6A15-483B-87A6-86CFF35A88FA")]
   public sealed class Assigner : SingleSuccessorOperator {
     public LookupParameter<IItem> LeftSideParameter {
Index: branches/PersistenceOverhaul/HeuristicLab.Operators/3.3/CheckedMultiOperator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Operators/3.3/CheckedMultiOperator.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Operators/3.3/CheckedMultiOperator.cs	(revision 14711)
@@ -32,5 +32,5 @@
   /// </summary>
   [Item("CheckedMultiOperator", "A base class for operators which apply arbitrary many other operators of a specific type that can be checked or unchecked.")]
-  [StorableClass("390272F8-3B06-4121-B7F6-2FC713A45613")]
+  [StorableType("390272F8-3B06-4121-B7F6-2FC713A45613")]
   public abstract class CheckedMultiOperator<T> : MultiOperator<T>, ICheckedMultiOperator<T> where T : class, IOperator {
     /// <summary>
Index: branches/PersistenceOverhaul/HeuristicLab.Operators/3.3/CombinedOperator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Operators/3.3/CombinedOperator.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Operators/3.3/CombinedOperator.cs	(revision 14711)
@@ -29,5 +29,5 @@
   /// </summary>
   [Item("CombinedOperator", "An operator which contains an operator graph.")]
-  [StorableClass("CA36B6C6-F597-48CB-863D-AB747F5DCFBA")]
+  [StorableType("CA36B6C6-F597-48CB-863D-AB747F5DCFBA")]
   public sealed class CombinedOperator : AlgorithmOperator, IParameterizedItem, IStorableContent {
     public string Filename { get; set; }
Index: branches/PersistenceOverhaul/HeuristicLab.Operators/3.3/Comparator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Operators/3.3/Comparator.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Operators/3.3/Comparator.cs	(revision 14711)
@@ -32,5 +32,5 @@
   /// </summary>
   [Item("Comparator", "An operator which compares two items.")]
-  [StorableClass("8EEAB358-6F38-4A12-A69C-7B0931D956A0")]
+  [StorableType("8EEAB358-6F38-4A12-A69C-7B0931D956A0")]
   public sealed class Comparator : SingleSuccessorOperator {
     public LookupParameter<IItem> LeftSideParameter {
Index: branches/PersistenceOverhaul/HeuristicLab.Operators/3.3/ConditionalBranch.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Operators/3.3/ConditionalBranch.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Operators/3.3/ConditionalBranch.cs	(revision 14711)
@@ -31,5 +31,5 @@
   /// </summary>
   [Item("ConditionalBranch", "A branch of two operators whose executions depend on a boolean condition. If the boolean condition is not present, the false branch is executed.")]
-  [StorableClass("96435AD4-759A-4A84-8B21-8ECFBFEC6F13")]
+  [StorableType("96435AD4-759A-4A84-8B21-8ECFBFEC6F13")]
   public class ConditionalBranch : SingleSuccessorOperator {
     public LookupParameter<BoolValue> ConditionParameter {
Index: branches/PersistenceOverhaul/HeuristicLab.Operators/3.3/DataReducer.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Operators/3.3/DataReducer.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Operators/3.3/DataReducer.cs	(revision 14711)
@@ -31,5 +31,5 @@
 namespace HeuristicLab.Operators {
   [Item("DataReducer", "An operator to reduce values of sub scopes.")]
-  [StorableClass("D7991E17-265C-4FAA-8531-C6A936EC22DE")]
+  [StorableType("D7991E17-265C-4FAA-8531-C6A936EC22DE")]
   public sealed class DataReducer : SingleSuccessorOperator {
     #region Parameter Properties
@@ -95,5 +95,5 @@
         CalculateResult(values.OfType<BoolValue>().Select(x => x.Value), values.First().GetType());
       } else {
-        throw new ArgumentException(string.Format("Type {0} is not supported by the DataReducer.", values.First().GetType()));
+        throw new ArgumentException(string.Format("MemberSelection {0} is not supported by the DataReducer.", values.First().GetType()));
       }
 
Index: branches/PersistenceOverhaul/HeuristicLab.Operators/3.3/DoubleCounter.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Operators/3.3/DoubleCounter.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Operators/3.3/DoubleCounter.cs	(revision 14711)
@@ -31,5 +31,5 @@
   /// </summary>
   [Item("DoubleCounter", "An operator which increments a double variable.")]
-  [StorableClass("6FE77FC5-721E-41D0-9B9F-56DC03DC7F85")]
+  [StorableType("6FE77FC5-721E-41D0-9B9F-56DC03DC7F85")]
   public sealed class DoubleCounter : SingleSuccessorOperator {
     public LookupParameter<DoubleValue> ValueParameter {
Index: branches/PersistenceOverhaul/HeuristicLab.Operators/3.3/EmptyOperator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Operators/3.3/EmptyOperator.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Operators/3.3/EmptyOperator.cs	(revision 14711)
@@ -29,5 +29,5 @@
   /// </summary>
   [Item("EmptyOperator", "An operator which represents an empty statement.")]
-  [StorableClass("3CCA00D5-66E5-41C2-BC39-55456C8E9DBF")]
+  [StorableType("3CCA00D5-66E5-41C2-BC39-55456C8E9DBF")]
   public sealed class EmptyOperator : SingleSuccessorOperator {
     [StorableConstructor]
Index: branches/PersistenceOverhaul/HeuristicLab.Operators/3.3/InstrumentedOperator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Operators/3.3/InstrumentedOperator.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Operators/3.3/InstrumentedOperator.cs	(revision 14711)
@@ -29,5 +29,5 @@
 namespace HeuristicLab.Operators {
   [Item("InstrumentedOperator", "A operator that can execute pre- and post actions.")]
-  [StorableClass("FDEF0E46-ABA1-4443-BD29-F8EA61B1EBDF")]
+  [StorableType("FDEF0E46-ABA1-4443-BD29-F8EA61B1EBDF")]
   public abstract class InstrumentedOperator : SingleSuccessorOperator, IInstrumentedOperator {
     private const string BeforeExecutionOperatorsParameterName = "BeforeExecutionOperators";
Index: branches/PersistenceOverhaul/HeuristicLab.Operators/3.3/IntCounter.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Operators/3.3/IntCounter.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Operators/3.3/IntCounter.cs	(revision 14711)
@@ -31,5 +31,5 @@
   /// </summary>
   [Item("IntCounter", "An operator which increments an integer variable.")]
-  [StorableClass("361DDA4F-F594-443B-BC05-4BA4E17573DD")]
+  [StorableType("361DDA4F-F594-443B-BC05-4BA4E17573DD")]
   public sealed class IntCounter : SingleSuccessorOperator {
 
Index: branches/PersistenceOverhaul/HeuristicLab.Operators/3.3/LocalRandomCreator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Operators/3.3/LocalRandomCreator.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Operators/3.3/LocalRandomCreator.cs	(revision 14711)
@@ -27,5 +27,5 @@
 namespace HeuristicLab.Operators {
   [Item("LocalRandomCreator", "Creates a local pseudo random number generator from a global random number generator.")]
-  [StorableClass("F079CB55-983E-4684-9CB1-1BAF113D1044")]
+  [StorableType("F079CB55-983E-4684-9CB1-1BAF113D1044")]
   public sealed class LocalRandomCreator : SingleSuccessorOperator {
     #region Parameter Properties
Index: branches/PersistenceOverhaul/HeuristicLab.Operators/3.3/MultiOperator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Operators/3.3/MultiOperator.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Operators/3.3/MultiOperator.cs	(revision 14711)
@@ -33,5 +33,5 @@
   /// </summary>
   [Item("MultiOperator", "A base class for operators which apply arbitrary many other operators of a specific type.")]
-  [StorableClass("D80D4423-D474-4AA5-BE44-865FA4BFA6DB")]
+  [StorableType("D80D4423-D474-4AA5-BE44-865FA4BFA6DB")]
   public abstract class MultiOperator<T> : InstrumentedOperator, IMultiOperator<T> where T : class, IOperator {
     private List<IValueParameter<T>> operatorParameters;
Index: branches/PersistenceOverhaul/HeuristicLab.Operators/3.3/Operator.InstrumentedOperatorWrapper.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Operators/3.3/Operator.InstrumentedOperatorWrapper.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Operators/3.3/Operator.InstrumentedOperatorWrapper.cs	(revision 14711)
@@ -38,5 +38,5 @@
     }
 
-    [StorableClass("5C935B36-202D-4D7A-A2DD-B6D64240232B")]
+    [StorableType("5C935B36-202D-4D7A-A2DD-B6D64240232B")]
     [NonDiscoverableType]
     private class InstrumentedOperatorWrapper : Operator {
Index: branches/PersistenceOverhaul/HeuristicLab.Operators/3.3/Operator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Operators/3.3/Operator.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Operators/3.3/Operator.cs	(revision 14711)
@@ -33,5 +33,5 @@
   /// </summary>
   [Item("Operator", "Base class for operators.")]
-  [StorableClass("F8B16EE9-3E8C-49CC-8338-91A145EAEE71")]
+  [StorableType("F8B16EE9-3E8C-49CC-8338-91A145EAEE71")]
   public abstract partial class Operator : ParameterizedNamedItem, IOperator, IStatefulItem {
     public static new Image StaticItemImage {
Index: branches/PersistenceOverhaul/HeuristicLab.Operators/3.3/Placeholder.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Operators/3.3/Placeholder.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Operators/3.3/Placeholder.cs	(revision 14711)
@@ -30,5 +30,5 @@
   /// </summary>
   [Item("Placeholder", "An operator which acts as a placeholder for another operator retrieved from the scope or a parent execution context.")]
-  [StorableClass("BCF647D0-D7C9-4700-BA83-3215E0739640")]
+  [StorableType("BCF647D0-D7C9-4700-BA83-3215E0739640")]
   public sealed class Placeholder : SingleSuccessorOperator {
     public LookupParameter<IOperator> OperatorParameter {
Index: branches/PersistenceOverhaul/HeuristicLab.Operators/3.3/ReductionOperation.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Operators/3.3/ReductionOperation.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Operators/3.3/ReductionOperation.cs	(revision 14711)
@@ -40,5 +40,5 @@
 
   [Item("ReductionOperation", "Represents a certain type of reduction operation.")]
-  [StorableClass("8081DEA1-DC50-4EEA-8A33-C0B087A923C6")]
+  [StorableType("8081DEA1-DC50-4EEA-8A33-C0B087A923C6")]
   public class ReductionOperation : ValueTypeValue<ReductionOperations> {
     public static new Image StaticItemImage {
Index: branches/PersistenceOverhaul/HeuristicLab.Operators/3.3/ScopeCleaner.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Operators/3.3/ScopeCleaner.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Operators/3.3/ScopeCleaner.cs	(revision 14711)
@@ -30,5 +30,5 @@
   /// </summary>
   [Item("ScopeCleaner", "An operator which removes all variables and sub-scopes from the current scope.")]
-  [StorableClass("5B93D108-D4C8-46DC-9A16-E88D807F7E2C")]
+  [StorableType("5B93D108-D4C8-46DC-9A16-E88D807F7E2C")]
   public sealed class ScopeCleaner : SingleSuccessorOperator {
     private ScopeParameter CurrentScopeParameter {
Index: branches/PersistenceOverhaul/HeuristicLab.Operators/3.3/SingleSuccessorOperator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Operators/3.3/SingleSuccessorOperator.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Operators/3.3/SingleSuccessorOperator.cs	(revision 14711)
@@ -30,5 +30,5 @@
   /// </summary>
   [Item("SingleSuccessorOperator", "A base class for operators which have only one successor.")]
-  [StorableClass("DABF9631-9C35-4B5F-AFE1-49FE739EF489")]
+  [StorableType("DABF9631-9C35-4B5F-AFE1-49FE739EF489")]
   public abstract class SingleSuccessorOperator : Operator {
     protected OperatorParameter SuccessorParameter {
Index: branches/PersistenceOverhaul/HeuristicLab.Operators/3.3/StochasticBranch.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Operators/3.3/StochasticBranch.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Operators/3.3/StochasticBranch.cs	(revision 14711)
@@ -31,5 +31,5 @@
   /// </summary>
   [Item("StochasticBranch", "A branch of two operators which are executed with a specified probability.")]
-  [StorableClass("71002B7E-5343-4D1A-9256-5AB82CA70A75")]
+  [StorableType("71002B7E-5343-4D1A-9256-5AB82CA70A75")]
   public class StochasticBranch : SingleSuccessorOperator {
     public LookupParameter<IRandom> RandomParameter {
Index: branches/PersistenceOverhaul/HeuristicLab.Operators/3.3/StochasticMultiBranch.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Operators/3.3/StochasticMultiBranch.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Operators/3.3/StochasticMultiBranch.cs	(revision 14711)
@@ -35,5 +35,5 @@
   /// </summary>
   [Item("StochasticMultiBranch", "Selects one of its branches (if there are any) given a list of relative probabilities.")]
-  [StorableClass("7FF6CB0B-F831-4A97-A8D3-40EBF6BE78B6")]
+  [StorableType("7FF6CB0B-F831-4A97-A8D3-40EBF6BE78B6")]
   public abstract class StochasticMultiBranch<T> : CheckedMultiOperator<T> where T : class, IOperator {
     /// <summary>
@@ -176,5 +176,5 @@
   /// </summary>
   [Item("StochasticMultiBranch", "Selects one of its branches (if there are any) given a list of relative probabilities.")]
-  [StorableClass("7DE99E47-6B7D-4AE3-A8B8-0D7C9B82F3EE")]
+  [StorableType("7DE99E47-6B7D-4AE3-A8B8-0D7C9B82F3EE")]
   public class StochasticMultiBranch : StochasticMultiBranch<IOperator> {
     [StorableConstructor]
Index: branches/PersistenceOverhaul/HeuristicLab.Operators/3.3/SubScopesCloner.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Operators/3.3/SubScopesCloner.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Operators/3.3/SubScopesCloner.cs	(revision 14711)
@@ -35,5 +35,5 @@
   /// </summary>
   [Item("SubScopesCloner", "An operator which creates multiple copies of the subscopes of the current scope.")]
-  [StorableClass("6C2BED7F-FF9E-48D3-AB7F-8381D19CBB66")]
+  [StorableType("6C2BED7F-FF9E-48D3-AB7F-8381D19CBB66")]
   public class SubScopesCloner : SingleSuccessorOperator {
     private ScopeParameter CurrentScopeParameter {
Index: branches/PersistenceOverhaul/HeuristicLab.Operators/3.3/SubScopesCounter.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Operators/3.3/SubScopesCounter.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Operators/3.3/SubScopesCounter.cs	(revision 14711)
@@ -28,5 +28,5 @@
 namespace HeuristicLab.Operators {
   [Item("SubScopesCounter", "Counts the number of direct sub-scopes and increments or assigns it to the value given in the parameter.")]
-  [StorableClass("27FC30EB-7334-4661-B448-35F1CC23900D")]
+  [StorableType("27FC30EB-7334-4661-B448-35F1CC23900D")]
   public class SubScopesCounter : SingleSuccessorOperator {
 
Index: branches/PersistenceOverhaul/HeuristicLab.Operators/3.3/SubScopesCreator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Operators/3.3/SubScopesCreator.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Operators/3.3/SubScopesCreator.cs	(revision 14711)
@@ -31,5 +31,5 @@
   /// </summary>
   [Item("SubScopesCreator", "An operator which adds new and empty sub-scopes to the current scope.")]
-  [StorableClass("6D93D315-282B-4909-B446-B3285EBE7C60")]
+  [StorableType("6D93D315-282B-4909-B446-B3285EBE7C60")]
   public class SubScopesCreator : SingleSuccessorOperator {
     public ValueLookupParameter<IntValue> NumberOfSubScopesParameter {
Index: branches/PersistenceOverhaul/HeuristicLab.Operators/3.3/SubScopesMixer.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Operators/3.3/SubScopesMixer.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Operators/3.3/SubScopesMixer.cs	(revision 14711)
@@ -32,5 +32,5 @@
   /// </summary>
   [Item("SubScopesMixer", "Changes the order of the sub-scopes by repartitioning the sub-scopes such that each new partition contains one scope from each old partition.")]
-  [StorableClass("9005F797-A822-4EED-81B6-041A56C21B45")]
+  [StorableType("9005F797-A822-4EED-81B6-041A56C21B45")]
   public class SubScopesMixer : SingleSuccessorOperator {
     public ValueParameter<IntValue> PartitionsParameter {
Index: branches/PersistenceOverhaul/HeuristicLab.Operators/3.3/SubScopesProcessor.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Operators/3.3/SubScopesProcessor.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Operators/3.3/SubScopesProcessor.cs	(revision 14711)
@@ -34,5 +34,5 @@
   /// </summary>
   [Item("SubScopesProcessor", "An operator which contains multiple operators of which each is applied on one sub-scope at the given depth of the current scope. The first operator is applied on the first sub-scope, the second on the second, and so on.")]
-  [StorableClass("E3A2E58D-FDAA-4180-8044-920C909B7026")]
+  [StorableType("E3A2E58D-FDAA-4180-8044-920C909B7026")]
   public sealed class SubScopesProcessor : MultiOperator<IOperator> {
     public ValueLookupParameter<BoolValue> ParallelParameter {
Index: branches/PersistenceOverhaul/HeuristicLab.Operators/3.3/SubScopesRemover.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Operators/3.3/SubScopesRemover.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Operators/3.3/SubScopesRemover.cs	(revision 14711)
@@ -31,5 +31,5 @@
   /// </summary>
   [Item("SubScopesRemover", "An operator which removes all sub-scopes or one specified sub-scope from the current scope.")]
-  [StorableClass("19DD72A6-3F1D-4530-916B-205AC44F80E9")]
+  [StorableType("19DD72A6-3F1D-4530-916B-205AC44F80E9")]
   public sealed class SubScopesRemover : SingleSuccessorOperator {
     private ValueParameter<BoolValue> RemoveAllSubScopesParameter {
Index: branches/PersistenceOverhaul/HeuristicLab.Operators/3.3/SubScopesSorter.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Operators/3.3/SubScopesSorter.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Operators/3.3/SubScopesSorter.cs	(revision 14711)
@@ -31,5 +31,5 @@
   /// </summary>
   [Item("SubScopesSorter", "An operator which sorts the sub-scopes of the current scope.")]
-  [StorableClass("08E92413-9B41-43B2-B6B4-EF43408EF884")]
+  [StorableType("08E92413-9B41-43B2-B6B4-EF43408EF884")]
   public sealed class SubScopesSorter : SingleSuccessorOperator {
     private bool descending;
Index: branches/PersistenceOverhaul/HeuristicLab.Operators/3.3/UniformSubScopesProcessor.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Operators/3.3/UniformSubScopesProcessor.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Operators/3.3/UniformSubScopesProcessor.cs	(revision 14711)
@@ -33,5 +33,5 @@
   /// </summary>
   [Item("UniformSubScopesProcessor", "An operator which applies a specified operator on all sub-scopes at the given depth of the current scope.")]
-  [StorableClass("FAB54AD1-609F-483C-B9BC-10CB9BE09F4A")]
+  [StorableType("FAB54AD1-609F-483C-B9BC-10CB9BE09F4A")]
   public sealed class UniformSubScopesProcessor : SingleSuccessorOperator {
     private OperatorParameter OperatorParameter {
Index: branches/PersistenceOverhaul/HeuristicLab.Operators/3.3/ValuesCollector.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Operators/3.3/ValuesCollector.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Operators/3.3/ValuesCollector.cs	(revision 14711)
@@ -30,5 +30,5 @@
   /// </summary>
   [Item("ValuesCollector", "An operator which collects the actual values of parameters.")]
-  [StorableClass("E7B463DF-75EC-4B4A-B943-9763961F3500")]
+  [StorableType("E7B463DF-75EC-4B4A-B943-9763961F3500")]
   public abstract class ValuesCollector : SingleSuccessorOperator, IOperator {
     [Storable]
Index: branches/PersistenceOverhaul/HeuristicLab.Operators/3.3/VariableCreator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Operators/3.3/VariableCreator.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Operators/3.3/VariableCreator.cs	(revision 14711)
@@ -30,5 +30,5 @@
   /// </summary>
   [Item("VariableCreator", "An operator which collects the actual values of parameters and clones them into the current scope.")]
-  [StorableClass("26D44397-C5F5-45CE-8AF9-49D625E52859")]
+  [StorableType("26D44397-C5F5-45CE-8AF9-49D625E52859")]
   public class VariableCreator : ValuesCollector {
     protected ScopeParameter CurrentScopeParameter {
